Subject: Re: Is there a way to trim old SHAs from a git tree (so it's not so large)?

From: Timur Tabi <[email-masked]>
Date: Tue, 21 Nov 2006 10:52:22 -0600

Shawn Pearce wrote:

> Twice the size of a normal tarball isn't too bad, considering that
> you have the _complete_ history in the pack and yet the normal
> tarball has no history at all.

That is true.  However, for the particular project I'm working on, double the 
size is not really acceptable.

My goal is to provide a source tree that is "git enabled", so that user can use 
git command to fetch, apply, and create patches.  Currently, we're just handing 
out tarballs, so we want to move people to the 21st century.

> Shallow clone is a development feature still being working on in
> Junio's 'pu' branch of git.git.  It has a few issues still to be
> worked out so it hasn't been made part of one of the more stable
> branches yet (like 'next', 'master', or 'maint').

Well, until it's available on an official git release, it doesn't help me.

-- 
Timur Tabi